#define MAX_PCIDEVICELIST_ENTRIES   100
#define MAX_PCI_BUSES               256

#define EX_POOL_TAG_VALUE           'icPz'

//
// Structures used to locate the PCI device.
//

typedef struct _PCI_DEVICE_LOCATION {
    ULONG BusNumber;
    PCI_SLOT_NUMBER SlotNumber;
} PCI_DEVICE_LOCATION, *PPCI_DEVICE_LOCATION;


typedef struct _PCI_DEVICE_LIST {
    ULONG FoundDevCnt;
    PCI_DEVICE_LOCATION List[1];
} PCI_DEVICE_LIST, *PPCI_DEVICE_LIST;


NTSTATUS
FindPciDevice(
    IN USHORT VendorId,
    IN USHORT DeviceId,
    OUT PPCI_DEVICE_LIST PciDeviceList
    );
