#define  MAXIMUM_KEY_LENGTH                         8
#define  MAXIMUM_IV_LENGTH                          8
#define  MAXIMUM_KEY_NUMBER                         1

typedef  struct
_KEY
{
    ULONG   KeyNumber;
    ULONG   KeyLength;
    UCHAR   KeyValue[MAXIMUM_KEY_NUMBER][MAXIMUM_KEY_LENGTH];
}
KEY,  *PKEY;

typedef  struct
_IV
{
    ULONG   IVLength;
    UCHAR   IVValue[MAXIMUM_IV_LENGTH];
}
IV,  *PIV;

ULONG
DESEncrypt
    (
    IN  PVOID                   pPlainPayload,
    IN  ULONG                   ulPlainPayloadSize,
    IN  PVOID                   pCipherPayload,
    IN  PKEY                    pEncryptionKey,
    IN  PIV                     pEncryptionIV
    );
